#### D.2.7.3 parallelWaitAll

Procedure from library `parallel.lib` (see parallel_lib).

Usage:
  parallelWaitAll(commands, arguments[, timeout]); commands list or string, arguments list, timeout int

Return:
  a list, containing the results of commands[i] applied to arguments[i], i = 1, ..., size(arguments).
  The command `parallelWaitAll(commands, arguments[, timeout])` is synonymous to @code{parallelWaitN(commands, arguments, size(arguments)[, timeout])}. See parallelWaitN for details on optional arguments and other remarks.

Note:
  As a shortcut, `commands` can be a string. This is synonymous to providing a list of `size(arguments)` copies of this string.

Example:

    LIB "parallel.lib";
    ring R = 0, (x,y,z), dp;
    ideal I1 = z8+z6+4z5+4z3+4z2+4, -z2+y;
    ideal I2 = x9y2+x10, x2y7-y8;
    ideal I3 = x3-2xy, x2y-2y2+x;
    string command = "std";
    list arguments = list(list(I1), list(I2), list(I3));
    parallelWaitAll(command, arguments);
    ==> [1]:
    ==>    _[1]=z2-y
    ==>    _[2]=y4+y3+4y2z+4yz+4y+4
    ==> [2]:
    ==>    _[1]=x2y7-y8
    ==>    _[2]=x9y2+x10
    ==>    _[3]=x12y+xy11
    ==>    _[4]=x13-xy12
    ==>    _[5]=y14+xy12
    ==>    _[6]=xy13+y12
    ==> [3]:
    ==>    _[1]=2y2-x
    ==>    _[2]=xy
    ==>    _[3]=x2

See also: parallelWaitFirst; parallelWaitN; tasks_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.